이 콘텐츠는 선택한 언어로 제공되지 않습니다.
Red Hat Quay API reference
Preface 링크 복사링크가 클립보드에 복사되었습니다!
The Red Hat Quay application programming interface (API) provides a comprehensive, RESTful interface for managing and automating tasks within Red Hat Quay. Designed around the OAuth 2.0 protocol, this API enables secure, fine-grained access to Red Hat Quay resources, and allows administrators and users to perform such actions as creating repositories, managing images, setting permissions, and more.
Red Hat Quay follows Semantic Versioning (SemVer) principles, ensuring predictable API stability across releases, such as:
- Major releases: Introduce new capabilities. Might include breaking changes to API compatibility. For example, the API of Red Hat Quay 2.0 differs from Red Hat Quay 3.0.
- Minor releases: Add new functionality in a backward-compatible manner. For example, a 3.y release adds functionality to the version 3. release.
- Patch releases: Deliver bug fixes and improvements while preserving backward compatibility with minor releases, such as 3.y.z.
The following guide describes the Red Hat Quay API in more detail, and provides details on the following topics:
- API endpoint structure, including supported HTTP methods
- Request and response schemas for each endpoint
- Required and optional parameters
- Authentication and authorization requirements
- Common error codes and troubleshooting information
For a more guided approach, including token overview, management strategies, understanding API endpoints, and more, refer to the Red Hat Quay API guide.
Chapter 1. Authorization 링크 복사링크가 클립보드에 복사되었습니다!
oauth2_implicit
Scopes
The following scopes are used to control access to the API endpoints:
| Scope | Description |
|---|---|
| repo:read | This application will be able to view and pull all repositories visible to the granting user or robot account |
| repo:write | This application will be able to view, push and pull to all repositories to which the granting user or robot account has write access |
| repo:admin | This application will have administrator access to all repositories to which the granting user or robot account has access |
| repo:create | This application will be able to create repositories in to any namespaces that the granting user or robot account is allowed to create repositories |
| user:read | This application will be able to read user information such as username and email address. |
| org:admin | This application will be able to administer your organizations including creating robots, creating teams, adjusting team membership, and changing billing settings. You should have absolute trust in the requesting application before granting this permission. |
| super:user | This application will be able to administer your installation including managing users, managing organizations and other features found in the superuser panel. You should have absolute trust in the requesting application before granting this permission. |
| user:admin | This application will be able to administer your account including creating robots and granting them permissions to your repositories. You should have absolute trust in the requesting application before granting this permission. |
Chapter 2. appspecifictokens 링크 복사링크가 클립보드에 복사되었습니다!
Manages app specific tokens for the current user.
2.1. createAppToken 링크 복사링크가 클립보드에 복사되었습니다!
Create a new app specific token for user.
POST /api/v1/user/apptoken
Authorizations: oauth2_implicit (user:admin)
Request body schema (application/json)
Description of a new token.
| Name | Description | Schema |
|---|---|---|
|
title | Friendly name to help identify the token | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Successful creation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X POST \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"title": "MyAppToken"
}' \
"http://quay-server.example.com/api/v1/user/apptoken"
2.2. listAppTokens 링크 복사링크가 클립보드에 복사되었습니다!
Lists the app specific tokens for the user.
GET /api/v1/user/apptoken
Authorizations: oauth2_implicit (user:admin)
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
expiring | If true, only returns those tokens expiring soon | boolean |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET \
-H "Authorization: Bearer <access_token>" \
"http://quay-server.example.com/api/v1/user/apptoken"
2.3. getAppToken 링크 복사링크가 클립보드에 복사되었습니다!
Returns a specific app token for the user.
GET /api/v1/user/apptoken/{token_uuid}
Authorizations: oauth2_implicit (user:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
token_uuid | The uuid of the app specific token | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET \
-H "Authorization: Bearer <access_token>" \
"http://quay-server.example.com/api/v1/user/apptoken/<token_uuid>"
2.4. revokeAppToken 링크 복사링크가 클립보드에 복사되었습니다!
Revokes a specific app token for the user.
DELETE /api/v1/user/apptoken/{token_uuid}
Authorizations: oauth2_implicit (user:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
token_uuid | The uuid of the app specific token | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Deleted | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X DELETE \
-H "Authorization: Bearer <access_token>" \
"http://quay-server.example.com/api/v1/user/apptoken/<token_uuid>"
Chapter 3. build 링크 복사링크가 클립보드에 복사되었습니다!
Create, list, cancel and get status/logs of repository builds.
3.1. getRepoBuildStatus 링크 복사링크가 클립보드에 복사되었습니다!
Return the status for the builds specified by the build uuids.
GET /api/v1/repository/{repository}/build/{build_uuid}/status
Authorizations: oauth2_implicit (repo:read)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
| path |
build_uuid | The UUID of the build | string |
Responses
3.2. getRepoBuildLogs 링크 복사링크가 클립보드에 복사되었습니다!
Return the build logs for the build specified by the build uuid.
GET /api/v1/repository/{repository}/build/{build_uuid}/logs
Authorizations: oauth2_implicit (repo:read)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
| path |
build_uuid | The UUID of the build | string |
Responses
3.3. getRepoBuild 링크 복사링크가 클립보드에 복사되었습니다!
Returns information about a build.
GET /api/v1/repository/{repository}/build/{build_uuid}
Authorizations: oauth2_implicit (repo:read)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
| path |
build_uuid | The UUID of the build | string |
Responses
3.4. cancelRepoBuild 링크 복사링크가 클립보드에 복사되었습니다!
Cancels a repository build.
DELETE /api/v1/repository/{repository}/build/{build_uuid}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
| path |
build_uuid | The UUID of the build | string |
Responses
3.5. requestRepoBuild 링크 복사링크가 클립보드에 복사되었습니다!
Request that a repository be built and pushed from the specified input.
POST /api/v1/repository/{repository}/build/
Authorizations: oauth2_implicit (repo:write)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Request body schema (application/json)
Description of a new repository build.
| Name | Description | Schema |
|---|---|---|
|
file_id | The file id that was generated when the build spec was uploaded | string |
|
archive_url | The URL of the .tar.gz to build. Must start with "http" or "https". | string |
|
subdirectory | Subdirectory in which the Dockerfile can be found. You can only specify this or dockerfile_path | string |
|
dockerfile_path | Path to a dockerfile. You can only specify this or subdirectory. | string |
|
context | Pass in the context for the dockerfile. This is optional. | string |
|
pull_robot | Username of a Quay robot account to use as pull credentials | string |
|
tags | The tags to which the built images will be pushed. If none specified, "latest" is used. |
array of string |
Responses
3.6. getRepoBuilds 링크 복사링크가 클립보드에 복사되었습니다!
Get the list of repository builds.
GET /api/v1/repository/{repository}/build/
Authorizations: oauth2_implicit (repo:read)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
since | Returns all builds since the given unix timecode | integer |
| query |
limit | The maximum number of builds to return | integer |
Responses
Chapter 4. discovery 링크 복사링크가 클립보드에 복사되었습니다!
API discovery information.
4.1. discovery 링크 복사링크가 클립보드에 복사되었습니다!
List all of the API endpoints available in the swagger API format.
GET /api/v1/discovery
Authorizations:
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
internal | Whether to include internal APIs. | boolean |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET "https://<quay-server.example.com>/api/v1/discovery?query=true" \
-H "Authorization: Bearer <access_token>"
Chapter 5. error 링크 복사링크가 클립보드에 복사되었습니다!
Error details API.
5.1. getErrorDescription 링크 복사링크가 클립보드에 복사되었습니다!
Get a detailed description of the error.
GET /api/v1/error/{error_type}
Authorizations:
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
error_type | The error code identifying the type of error. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET "https://<quay-server.example.com>/api/v1/error/<error_type>" \
-H "Authorization: Bearer <access_token>"
Chapter 6. globalmessages 링크 복사링크가 클립보드에 복사되었습니다!
Messages API.
6.1. createGlobalMessage 링크 복사링크가 클립보드에 복사되었습니다!
Create a message.
POST /api/v1/messages
Authorizations: oauth2_implicit (super:user)
Request body schema (application/json)
Create a new message
| Name | Description | Schema |
|---|---|---|
|
message | A single message | object |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Successful creation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X POST "https://<quay-server.example.com>/api/v1/messages" \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"message": {
"content": "Hi",
"media_type": "text/plain",
"severity": "info"
}
}'
6.2. getGlobalMessages 링크 복사링크가 클립보드에 복사되었습니다!
Return a super users messages.
GET /api/v1/messages
Authorizations:
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET "https://<quay-server.example.com>/api/v1/messages" \
-H "Authorization: Bearer <access_token>"
6.3. deleteGlobalMessage 링크 복사링크가 클립보드에 복사되었습니다!
Delete a message.
DELETE /api/v1/message/{uuid}
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
uuid | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Deleted | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X DELETE "https://<quay-server.example.com>/api/v1/message/<uuid>" \
-H "Authorization: Bearer <access_token>"
Chapter 7. logs 링크 복사링크가 클립보드에 복사되었습니다!
Access usage logs for organizations or repositories.
7.1. getAggregateUserLogs 링크 복사링크가 클립보드에 복사되었습니다!
Returns the aggregated logs for the current user.
GET /api/v1/user/aggregatelogs
Authorizations: oauth2_implicit (user:admin)
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
performer | Username for which to filter logs. | string |
| query |
endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | string |
| query |
starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
"<quay-server.example.com>/api/v1/user/aggregatelogs?performer=<username>&starttime=<MM/DD/YYYY>&endtime=<MM/DD/YYYY>"
7.2. exportUserLogs 링크 복사링크가 클립보드에 복사되었습니다!
Returns the aggregated logs for the current user.
POST /api/v1/user/exportlogs
Authorizations: oauth2_implicit (user:admin)
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | string |
| query |
starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | string |
Request body schema (application/json)
Configuration for an export logs operation
| Name | Description | Schema |
|---|---|---|
|
callback_url | The callback URL to invoke with a link to the exported logs | string |
|
callback_email | The e-mail address at which to e-mail a link to the exported logs | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Successful creation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X POST \
-H "Authorization: Bearer <bearer_token>" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
"starttime": "<MM/DD/YYYY>",
"endtime": "<MM/DD/YYYY>",
"callback_email": "your.email@example.com"
}' \
"http://<quay-server.example.com>/api/v1/user/exportlogs"
7.3. listUserLogs 링크 복사링크가 클립보드에 복사되었습니다!
List the logs for the current user.
GET /api/v1/user/logs
Authorizations: oauth2_implicit (user:admin)
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
next_page | The page token for the next page | string |
| query |
performer | Username for which to filter logs. | string |
| query |
endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | string |
| query |
starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET -H "Authorization: Bearer <bearer_token>" -H "Accept: application/json" "<quay-server.example.com>/api/v1/user/logs"
7.4. getAggregateOrgLogs 링크 복사링크가 클립보드에 복사되었습니다!
Gets the aggregated logs for the specified organization.
GET /api/v1/organization/{orgname}/aggregatelogs
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
performer | Username for which to filter logs. | string |
| query |
endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | string |
| query |
starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
"<quay-server.example.com>/api/v1/organization/{orgname}/aggregatelogs"
7.5. exportOrgLogs 링크 복사링크가 클립보드에 복사되었습니다!
Exports the logs for the specified organization.
POST /api/v1/organization/{orgname}/exportlogs
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | string |
| query |
starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | string |
Request body schema (application/json)
Configuration for an export logs operation
| Name | Description | Schema |
|---|---|---|
|
callback_url | The callback URL to invoke with a link to the exported logs | string |
|
callback_email | The e-mail address at which to e-mail a link to the exported logs | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Successful creation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X POST \
-H "Authorization: Bearer <bearer_token>" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
"starttime": "<MM/DD/YYYY>",
"endtime": "<MM/DD/YYYY>",
"callback_email": "org.logs@example.com"
}' \
"http://<quay-server.example.com>/api/v1/organization/{orgname}/exportlogs"
7.6. listOrgLogs 링크 복사링크가 클립보드에 복사되었습니다!
List the logs for the specified organization.
GET /api/v1/organization/{orgname}/logs
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
next_page | The page token for the next page | string |
| query |
performer | Username for which to filter logs. | string |
| query |
endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | string |
| query |
starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
"http://<quay-server.example.com>/api/v1/organization/{orgname}/logs"
7.7. getAggregateRepoLogs 링크 복사링크가 클립보드에 복사되었습니다!
Returns the aggregated logs for the specified repository.
GET /api/v1/repository/{repository}/aggregatelogs
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | string |
| query |
starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
"<quay-server.example.com>/api/v1/repository/<repository_name>/<namespace>/aggregatelogs?starttime=2024-01-01&endtime=2024-06-18""
7.8. exportRepoLogs 링크 복사링크가 클립보드에 복사되었습니다!
Queues an export of the logs for the specified repository.
POST /api/v1/repository/{repository}/exportlogs
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | string |
| query |
starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | string |
Request body schema (application/json)
Configuration for an export logs operation
| Name | Description | Schema |
|---|---|---|
|
callback_url | The callback URL to invoke with a link to the exported logs | string |
|
callback_email | The e-mail address at which to e-mail a link to the exported logs | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Successful creation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X POST \
-H "Authorization: Bearer <bearer_token>" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
"starttime": "2024-01-01",
"endtime": "2024-06-18",
"callback_url": "http://your-callback-url.example.com"
}' \
"http://<quay-server.example.com>/api/v1/repository/{repository}/exportlogs"
7.9. listRepoLogs 링크 복사링크가 클립보드에 복사되었습니다!
List the logs for the specified repository.
GET /api/v1/repository/{repository}/logs
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
next_page | The page token for the next page | string |
| query |
endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | string |
| query |
starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
"http://<quay-server.example.com>/api/v1/repository/{repository}/logs"
Chapter 8. manifest 링크 복사링크가 클립보드에 복사되었습니다!
Manage the manifests of a repository.
8.1. getManifestLabel 링크 복사링크가 클립보드에 복사되었습니다!
Retrieves the label with the specific ID under the manifest.
GET /api/v1/repository/{repository}/manifest/{manifestref}/labels/{labelid}
Authorizations: oauth2_implicit (repo:read)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
| path |
manifestref | The digest of the manifest | string |
| path |
labelid | The ID of the label | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
https://<quay-server.example.com>/api/v1/repository/<repository>/manifest/<manifestref>/labels/<label_id>
8.2. deleteManifestLabel 링크 복사링크가 클립보드에 복사되었습니다!
Deletes an existing label from a manifest.
DELETE /api/v1/repository/{repository}/manifest/{manifestref}/labels/{labelid}
Authorizations: oauth2_implicit (repo:write)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
| path |
manifestref | The digest of the manifest | string |
| path |
labelid | The ID of the label | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Deleted | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X DELETE \
-H "Authorization: Bearer <bearer_token>" \
https://<quay-server.example.com>/api/v1/repository/<repository>/manifest/<manifestref>/labels/<labelid>
8.3. addManifestLabel 링크 복사링크가 클립보드에 복사되었습니다!
Adds a new label into the tag manifest.
POST /api/v1/repository/{repository}/manifest/{manifestref}/labels
Authorizations: oauth2_implicit (repo:write)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
| path |
manifestref | The digest of the manifest | string |
Request body schema (application/json)
Adds a label to a manifest
| Name | Description | Schema |
|---|---|---|
|
key | The key for the label | string |
|
value | The value for the label | string |
|
media_type | The media type for this label |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Successful creation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X POST \
-H "Authorization: Bearer <bearer_token>" \
-H "Content-Type: application/json" \
--data '{
"key": "<key>",
"value": "<value>",
"media_type": "<media_type>"
}' \
https://<quay-server.example.com>/api/v1/repository/<repository>/manifest/<manifestref>/labels
8.4. listManifestLabels 링크 복사링크가 클립보드에 복사되었습니다!
GET /api/v1/repository/{repository}/manifest/{manifestref}/labels
Authorizations: oauth2_implicit (repo:read)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
| path |
manifestref | The digest of the manifest | string |
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
filter | If specified, only labels matching the given prefix will be returned | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
https://<quay-server.example.com>/api/v1/repository/<repository>/manifest/<manifestref>/labels
8.5. getRepoManifest 링크 복사링크가 클립보드에 복사되었습니다!
GET /api/v1/repository/{repository}/manifest/{manifestref}
Authorizations: oauth2_implicit (repo:read)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
| path |
manifestref | The digest of the manifest | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
https://<quay-server.example.com>/api/v1/repository/<repository>/manifest/<manifestref>
Chapter 9. mirror 링크 복사링크가 클립보드에 복사되었습니다!
9.1. syncCancel 링크 복사링크가 클립보드에 복사되었습니다!
Update the sync_status for a given Repository’s mirroring configuration.
POST /api/v1/repository/{repository}/mirror/sync-cancel
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Successful creation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X POST "https://<quay-server.example.com>/api/v1/repository/<namespace>/<repo>/mirror/sync-cancel" \
9.2. syncNow 링크 복사링크가 클립보드에 복사되었습니다!
Update the sync_status for a given Repository’s mirroring configuration.
POST /api/v1/repository/{repository}/mirror/sync-now
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Successful creation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X POST "https://<quay-server.example.com>/api/v1/repository/<namespace>/<repo>/mirror/sync-now" \
-H "Authorization: Bearer <access_token>"
9.3. getRepoMirrorConfig 링크 복사링크가 클립보드에 복사되었습니다!
Return the Mirror configuration for a given Repository.
GET /api/v1/repository/{repository}/mirror
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET "https://<quay-server.example.com>/api/v1/repository/<namespace>/<repo>/mirror" \
-H "Authorization: Bearer <access_token>"
9.4. changeRepoMirrorConfig 링크 복사링크가 클립보드에 복사되었습니다!
Allow users to modifying the repository’s mirroring configuration.
PUT /api/v1/repository/{repository}/mirror
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Request body schema (application/json)
Update the repository mirroring configuration.
| Name | Description | Schema |
|---|---|---|
|
is_enabled | Used to enable or disable synchronizations. | boolean |
|
external_reference | Location of the external repository. | string |
|
external_registry_username | Username used to authenticate with external registry. | |
|
external_registry_password | Password used to authenticate with external registry. | |
|
sync_start_date | Determines the next time this repository is ready for synchronization. | string |
|
sync_interval | Number of seconds after next_start_date to begin synchronizing. | integer |
|
robot_username | Username of robot which will be used for image pushes. | string |
|
root_rule | A list of glob-patterns used to determine which tags should be synchronized. | object |
|
external_registry_config | object | |
|
skopeo_timeout_interval | Number of seconds mirroring job will run before timing out. | Integer |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X PUT "https://<quay-server.example.com>/api/v1/repository/<namespace>/<repo>/mirror" \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"is_enabled": <false>,
"external_reference": "<external_reference>",
"external_registry_username": "<external_registry_username>",
"external_registry_password": "<external_registry_password>",
"sync_start_date": "<sync_start_date>",
"sync_interval": <sync_interval>,
"robot_username": "<robot_username>",
"skopeo_timeout_interval": 600,
"root_rule": {
"rule": "<rule>",
"rule_type": "<rule_type>"
}
}'
- 1
- Disables automatic synchronization.
9.5. createRepoMirrorConfig 링크 복사링크가 클립보드에 복사되었습니다!
Create a RepoMirrorConfig for a given Repository.
POST /api/v1/repository/{repository}/mirror
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Request body schema (application/json)
Create the repository mirroring configuration.
| Name | Description | Schema |
|---|---|---|
|
is_enabled | Used to enable or disable synchronizations. | boolean |
|
external_reference | Location of the external repository. | string |
|
external_registry_username | Username used to authenticate with external registry. | |
|
external_registry_password | Password used to authenticate with external registry. | |
|
sync_start_date | Determines the next time this repository is ready for synchronization. | string |
|
sync_interval | Number of seconds after next_start_date to begin synchronizing. | integer |
|
robot_username | Username of robot which will be used for image pushes. | string |
|
root_rule | A list of glob-patterns used to determine which tags should be synchronized. | object |
|
external_registry_config | object | |
|
skopeo_timeout_interval | Number of seconds mirroring job will run before timing out. | Integer |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Successful creation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X POST "https://<quay-server.example.com>/api/v1/repository/<namespace>/<repo>/mirror" \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"is_enabled": <is_enabled>,
"external_reference": "<external_reference>",
"external_registry_username": "<external_registry_username>",
"external_registry_password": "<external_registry_password>",
"sync_start_date": "<sync_start_date>",
"sync_interval": <sync_interval>,
"robot_username": "<robot_username>",
"skopeo_timeout_interval": 600,
"root_rule": {
"rule": "<rule>",
"rule_type": "<rule_type>"
}
}'
Chapter 10. namespacequota 링크 복사링크가 클립보드에 복사되었습니다!
10.1. listUserQuota 링크 복사링크가 클립보드에 복사되었습니다!
GET /api/v1/user/quota
Authorizations: oauth2_implicit (user:admin)
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET "https://<quay-server.example.com>/api/v1/user/quota" \
-H "Authorization: Bearer <access_token>"
10.2. getOrganizationQuotaLimit 링크 복사링크가 클립보드에 복사되었습니다!
GET /api/v1/organization/{orgname}/quota/{quota_id}/limit/{limit_id}
Authorizations:
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
quota_id | string | |
| path |
limit_id | string | |
| path |
orgname | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET "https://<quay-server.example.com>/api/v1/organization/<orgname>/quota/<quota_id>/limit/<limit_id>" \
-H "Authorization: Bearer <access_token>"
10.3. changeOrganizationQuotaLimit 링크 복사링크가 클립보드에 복사되었습니다!
PUT /api/v1/organization/{orgname}/quota/{quota_id}/limit/{limit_id}
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
quota_id | string | |
| path |
limit_id | string | |
| path |
orgname | string |
Request body schema (application/json)
Description of changing organization quota limit
| Name | Description | Schema |
|---|---|---|
|
type | Type of quota limit: "Warning" or "Reject" | string |
|
threshold_percent | Quota threshold, in percent of quota | integer |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X PUT "https://<quay-server.example.com>/api/v1/organization/<orgname>/quota/<quota_id>/limit/<limit_id>" \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"type": "<type>",
"threshold_percent": <threshold_percent>
}'
10.4. deleteOrganizationQuotaLimit 링크 복사링크가 클립보드에 복사되었습니다!
DELETE /api/v1/organization/{orgname}/quota/{quota_id}/limit/{limit_id}
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
quota_id | string | |
| path |
limit_id | string | |
| path |
orgname | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Deleted | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X DELETE "https://<quay-server.example.com>/api/v1/organization/<orgname>/quota/<quota_id>/limit/<limit_id>" \
-H "Authorization: Bearer <access_token>"
10.5. createOrganizationQuotaLimit 링크 복사링크가 클립보드에 복사되었습니다!
POST /api/v1/organization/{orgname}/quota/{quota_id}/limit
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
quota_id | string | |
| path |
orgname | string |
Request body schema (application/json)
Description of a new organization quota limit
| Name | Description | Schema |
|---|---|---|
|
type | Type of quota limit: "Warning" or "Reject" | string |
|
threshold_percent | Quota threshold, in percent of quota | integer |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Successful creation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X POST "https://<quay-server.example.com>/api/v1/organization/<orgname>/quota/<quota_id>/limit" \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"limit_bytes": 21474836480,
"type": "Reject",
"threshold_percent": 90
}'
10.6. listOrganizationQuotaLimit 링크 복사링크가 클립보드에 복사되었습니다!
GET /api/v1/organization/{orgname}/quota/{quota_id}/limit
Authorizations:
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
quota_id | string | |
| path |
orgname | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET "https://<quay-server.example.com>/api/v1/organization/<orgname>/quota/<quota_id>/limit" \
-H "Authorization: Bearer <access_token>"
10.7. getUserQuotaLimit 링크 복사링크가 클립보드에 복사되었습니다!
GET /api/v1/user/quota/{quota_id}/limit/{limit_id}
Authorizations: oauth2_implicit (user:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
quota_id | string | |
| path |
limit_id | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET "https://<quay-server.example.com>/api/v1/user/quota/{quota_id}/limit/{limit_id}" \
-H "Authorization: Bearer <access_token>"
10.8. listUserQuotaLimit 링크 복사링크가 클립보드에 복사되었습니다!
GET /api/v1/user/quota/{quota_id}/limit
Authorizations: oauth2_implicit (user:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
quota_id | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET "https://<quay-server.example.com>/api/v1/user/quota/{quota_id}/limit" \
-H "Authorization: Bearer <access_token>"
10.9. getOrganizationQuota 링크 복사링크가 클립보드에 복사되었습니다!
GET /api/v1/organization/{orgname}/quota/{quota_id}
Authorizations:
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
quota_id | string | |
| path |
orgname | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET "https://<quay-server.example.com>/api/v1/organization/<orgname>/quota/<quota_id>" \
-H "Authorization: Bearer <access_token>"S
10.10. changeOrganizationQuota 링크 복사링크가 클립보드에 복사되었습니다!
PUT /api/v1/organization/{orgname}/quota/{quota_id}
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
quota_id | string | |
| path |
orgname | string |
Request body schema (application/json)
Description of a new organization quota
| Name | Description | Schema |
|---|---|---|
|
limit_bytes | Number of bytes the organization is allowed | integer |
|
limits |
Human readable storage capacity of the organization. Accepts SI units like Mi, Gi, or Ti, as well as non-standard units like GB or MB. Must be mutually exclusive with | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X PUT "https://<quay-server.example.com>/api/v1/organization/<orgname>/quota/<quota_id>" \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"limit_bytes": <limit_in_bytes>
}'
10.11. deleteOrganizationQuota 링크 복사링크가 클립보드에 복사되었습니다!
DELETE /api/v1/organization/{orgname}/quota/{quota_id}
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
quota_id | string | |
| path |
orgname | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Deleted | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X DELETE "https://<quay-server.example.com>/api/v1/organization/<orgname>/quota/<quota_id>" \
-H "Authorization: Bearer <access_token>"
10.12. createOrganizationQuota 링크 복사링크가 클립보드에 복사되었습니다!
Create a new organization quota.
POST /api/v1/organization/{orgname}/quota
Authorizations: oauth2_implicit (super:user)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | string |
Request body schema (application/json)
Description of a new organization quota
| Name | Description | Schema |
|---|---|---|
|
limit_bytes | Number of bytes the organization is allowed | integer |
|
limits |
Human readable storage capacity of the organization. Accepts SI units like Mi, Gi, or Ti, as well as non-standard units like GB or MB. Must be mutually exclusive with | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Successful creation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X POST "https://<quay-server.example.com>/api/v1/organization/<orgname>/quota" \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"limit_bytes": 10737418240,
"limits": "10 Gi"
}'
10.13. listOrganizationQuota 링크 복사링크가 클립보드에 복사되었습니다!
GET /api/v1/organization/{orgname}/quota
Authorizations:
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -k -X GET -H "Authorization: Bearer <token>" -H 'Content-Type: application/json' https://<quay-server.example.com>/api/v1/organization/<organization_name>/quota
10.14. getUserQuota 링크 복사링크가 클립보드에 복사되었습니다!
GET /api/v1/user/quota/{quota_id}
Authorizations: oauth2_implicit (user:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
quota_id | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET "https://<quay-server.example.com>/api/v1/user/quota/{quota_id}" \
-H "Authorization: Bearer <access_token>"
Chapter 11. organization 링크 복사링크가 클립보드에 복사되었습니다!
Manage organizations, members and OAuth applications.
11.1. createOrganization 링크 복사링크가 클립보드에 복사되었습니다!
Create a new organization.
POST /api/v1/organization/
Authorizations: oauth2_implicit (user:admin)
Request body schema (application/json)
Description of a new organization.
| Name | Description | Schema |
|---|---|---|
|
name | Organization username | string |
|
email | Organization contact email | string |
|
recaptcha_response | The (may be disabled) recaptcha response code for verification | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Successful creation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X POST -H "Authorization: Bearer <bearer_token>" -H "Content-Type: application/json" -d '{
"name": "<new_organization_name>"
}' "https://<quay-server.example.com>/api/v1/organization/"
11.2. validateProxyCacheConfig 링크 복사링크가 클립보드에 복사되었습니다!
POST /api/v1/organization/{orgname}/validateproxycache
Authorizations:
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | string |
Request body schema (application/json)
Proxy cache configuration for an organization
| Name | Description | Schema |
|---|---|---|
|
upstream_registry | Name of the upstream registry that is to be cached | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Successful creation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X POST "https://<quay-server.example.com>/api/v1/organization/{orgname}/validateproxycache" \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"upstream_registry": "<upstream_registry>"
"upstream_registry_username": "your_robot_account_username"
"upstream_registry_password": "your_robot_account_password"
}'
11.3. getOrganizationCollaborators 링크 복사링크가 클립보드에 복사되었습니다!
List outside collaborators of the specified organization.
GET /api/v1/organization/{orgname}/collaborators
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET "https://<quay-server.example.com>/api/v1/organization/{orgname}/collaborators" \
-H "Authorization: Bearer <access_token>"
11.4. getOrganizationApplication 링크 복사링크가 클립보드에 복사되었습니다!
Retrieves the application with the specified client_id under the specified organization.
GET /api/v1/organization/{orgname}/applications/{client_id}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
client_id | The OAuth client ID | string |
| path |
orgname | The name of the organization | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET "https://<quay-server.example.com>/api/v1/organization/<orgname>/applications/<client_id>" \
-H "Authorization: Bearer <access_token>"
11.5. updateOrganizationApplication 링크 복사링크가 클립보드에 복사되었습니다!
Updates an application under this organization.
PUT /api/v1/organization/{orgname}/applications/{client_id}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
client_id | The OAuth client ID | string |
| path |
orgname | The name of the organization | string |
Request body schema (application/json)
Description of an updated application.
| Name | Description | Schema |
|---|---|---|
|
name | The name of the application | string |
|
redirect_uri | The URI for the application’s OAuth redirect | string |
|
application_uri | The URI for the application’s homepage | string |
|
description | The human-readable description for the application | string |
|
avatar_email | The e-mail address of the avatar to use for the application | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X PUT "https://quay-server.example.com/api/v1/organization/test/applications/12345" \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Application Name",
"redirect_uri": "https://example.com/oauth/callback",
"application_uri": "https://example.com",
"description": "Updated description for the application",
"avatar_email": "avatar@example.com"
}'
11.6. deleteOrganizationApplication 링크 복사링크가 클립보드에 복사되었습니다!
Deletes the application under this organization.
DELETE /api/v1/organization/{orgname}/applications/{client_id}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
client_id | The OAuth client ID | string |
| path |
orgname | The name of the organization | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Deleted | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X DELETE "https://<quay-server.example.com>/api/v1/organization/{orgname}/applications/{client_id}" \
-H "Authorization: Bearer <access_token>"
11.7. createOrganizationApplication 링크 복사링크가 클립보드에 복사되었습니다!
Creates a new application under this organization.
POST /api/v1/organization/{orgname}/applications
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Request body schema (application/json)
Description of a new organization application.
| Name | Description | Schema |
|---|---|---|
|
name | The name of the application | string |
|
redirect_uri | The URI for the application’s OAuth redirect | string |
|
application_uri | The URI for the application’s homepage | string |
|
description | The human-readable description for the application | string |
|
avatar_email | The e-mail address of the avatar to use for the application | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Successful creation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X POST "https://<quay-server.example.com>/api/v1/organization/<orgname>/applications" \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"name": "<app_name>",
"redirect_uri": "<redirect_uri>",
"application_uri": "<application_uri>",
"description": "<app_description>",
"avatar_email": "<avatar_email>"
}'
11.8. getOrganizationApplications 링크 복사링크가 클립보드에 복사되었습니다!
List the applications for the specified organization.
GET /api/v1/organization/{orgname}/applications
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET "https://<quay-server.example.com>/api/v1/organization/<orgname>/applications" \
-H "Authorization: Bearer <access_token>"
11.9. getProxyCacheConfig 링크 복사링크가 클립보드에 복사되었습니다!
Retrieves the proxy cache configuration of the organization.
GET /api/v1/organization/{orgname}/proxycache
Authorizations:
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET "https://<quay-server.example.com>/api/v1/organization/{orgname}/proxycache" \
-H "Authorization: Bearer <access_token>"
11.10. deleteProxyCacheConfig 링크 복사링크가 클립보드에 복사되었습니다!
Delete proxy cache configuration for the organization.
DELETE /api/v1/organization/{orgname}/proxycache
Authorizations:
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Deleted | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X DELETE "https://<quay-server.example.com>/api/v1/organization/{orgname}/proxycache" \
-H "Authorization: Bearer <access_token>"
11.11. createProxyCacheConfig 링크 복사링크가 클립보드에 복사되었습니다!
Creates proxy cache configuration for the organization.
POST /api/v1/organization/{orgname}/proxycache
Authorizations:
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Request body schema (application/json)
Proxy cache configuration for an organization
| Name | Description | Schema |
|---|---|---|
|
upstream_registry | Name of the upstream registry that is to be cached | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Successful creation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X POST "https://<quay-server.example.com>/api/v1/organization/<orgname>/proxycache" \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"upstream_registry": "<upstream_registry>"
"upstream_registry_username": "your_robot_account_username"
"upstream_registry_password": "your_robot_account_password"
}'
11.12. getOrganizationMember 링크 복사링크가 클립보드에 복사되었습니다!
Retrieves the details of a member of the organization.
GET /api/v1/organization/{orgname}/members/{membername}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
membername | The username of the organization member | string |
| path |
orgname | The name of the organization | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET "https://<quay-server.example.com>/api/v1/organization/<orgname>/members/<membername>" \
-H "Authorization: Bearer <access_token>"
11.13. removeOrganizationMember 링크 복사링크가 클립보드에 복사되었습니다!
Removes a member from an organization, revoking all its repository priviledges and removing it from all teams in the organization.
DELETE /api/v1/organization/{orgname}/members/{membername}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
membername | The username of the organization member | string |
| path |
orgname | The name of the organization | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Deleted | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X DELETE "https://<quay-server.example.com>/api/v1/organization/<orgname>/members/<membername>" \
-H "Authorization: Bearer <access_token>"
11.14. getOrganizationMembers 링크 복사링크가 클립보드에 복사되었습니다!
List the human members of the specified organization.
GET /api/v1/organization/{orgname}/members
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET "https://<quay-server.example.com>/api/v1/organization/<orgname>/members" \
-H "Authorization: Bearer <access_token>"
11.15. getOrganization 링크 복사링크가 클립보드에 복사되었습니다!
Get the details for the specified organization.
GET /api/v1/organization/{orgname}
Authorizations:
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
"<quay-server.example.com>/api/v1/organization/<organization_name>"
11.16. changeOrganizationDetails 링크 복사링크가 클립보드에 복사되었습니다!
Change the details for the specified organization.
PUT /api/v1/organization/{orgname}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Request body schema (application/json)
Description of updates for an existing organization
| Name | Description | Schema |
|---|---|---|
|
email | Organization contact email | string |
|
invoice_email | Whether the organization desires to receive emails for invoices | boolean |
|
invoice_email_address | The email address at which to receive invoices | |
|
tag_expiration_s | The number of seconds for tag expiration | integer |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X PUT \
-H "Authorization: Bearer <bearer_token>" \
"<quay-server.example.com>/api/v1/organization/<organization_name>"
11.17. deleteAdminedOrganization 링크 복사링크가 클립보드에 복사되었습니다!
Deletes the specified organization.
DELETE /api/v1/organization/{orgname}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Deleted | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
"<quay-server.example.com>/api/v1/organization/<organization_name>"
11.18. getApplicationInformation 링크 복사링크가 클립보드에 복사되었습니다!
Get information on the specified application.
GET /api/v1/app/{client_id}
Authorizations:
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
client_id | The OAuth client ID | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET "https://<quay-server.example.com>/api/v1/app/<client_id>" \
-H "Authorization: Bearer <access_token>"
Chapter 12. permission 링크 복사링크가 클립보드에 복사되었습니다!
Manage repository permissions.
12.1. getUserTransitivePermission 링크 복사링크가 클립보드에 복사되었습니다!
Get the fetch the permission for the specified user.
GET /api/v1/repository/{repository}/permissions/user/{username}/transitive
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
username | The username of the user to which the permissions apply | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET \
-H "Authorization: Bearer <access_token>" \
"https://quay-server.example.com/api/v1/repository/<repository_path>/permissions/user/<username>/transitive"
12.2. getUserPermissions 링크 복사링크가 클립보드에 복사되었습니다!
Get the permission for the specified user.
GET /api/v1/repository/{repository}/permissions/user/{username}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
username | The username of the user to which the permission applies | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET \
-H "Authorization: Bearer <access_token>" \
"https://quay-server.example.com/api/v1/repository/<repository_path>/permissions/user/<username>"
12.3. changeUserPermissions 링크 복사링크가 클립보드에 복사되었습니다!
Update the perimssions for an existing repository.
PUT /api/v1/repository/{repository}/permissions/user/{username}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
username | The username of the user to which the permission applies | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Request body schema (application/json)
Description of a user permission.
| Name | Description | Schema |
|---|---|---|
|
role | Role to use for the user | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X PUT \
-H "Authorization: Bearer <bearer_token>" \
-H "Content-Type: application/json" \
-d '{"role": "admin"}' \
https://<quay-server.example.com>/api/v1/repository/<namespace>/<repository>/permissions/user/<username>
12.4. deleteUserPermissions 링크 복사링크가 클립보드에 복사되었습니다!
Delete the permission for the user.
DELETE /api/v1/repository/{repository}/permissions/user/{username}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
username | The username of the user to which the permission applies | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Deleted | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X DELETE \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
https://<quay-server.example.com>/api/v1/repository/<namespace>/<repository>/permissions/user/<username>
12.5. getTeamPermissions 링크 복사링크가 클립보드에 복사되었습니다!
Fetch the permission for the specified team.
GET /api/v1/repository/{repository}/permissions/team/{teamname}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
| path |
teamname | The name of the team to which the permission applies | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET \
-H "Authorization: Bearer <access_token>" \
"https://quay-server.example.com/api/v1/repository/<namespace>/<repository>/permissions/team/<teamname>"
12.6. changeTeamPermissions 링크 복사링크가 클립보드에 복사되었습니다!
Update the existing team permission.
PUT /api/v1/repository/{repository}/permissions/team/{teamname}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
| path |
teamname | The name of the team to which the permission applies | string |
Request body schema (application/json)
Description of a team permission.
| Name | Description | Schema |
|---|---|---|
|
role | Role to use for the team | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
$ curl -X PUT \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{"role": "<role>"}' \
"https://quay-server.example.com/api/v1/repository/<namespace>/<repository>/permissions/team/<teamname>"
12.7. deleteTeamPermissions 링크 복사링크가 클립보드에 복사되었습니다!
Delete the permission for the specified team.
DELETE /api/v1/repository/{repository}/permissions/team/{teamname}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
| path |
teamname | The name of the team to which the permission applies | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Deleted | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X DELETE \
-H "Authorization: Bearer <access_token>" \
"https://quay-server.example.com/api/v1/repository/<namespace>/<repository>/permissions/team/<teamname>"
12.8. listRepoTeamPermissions 링크 복사링크가 클립보드에 복사되었습니다!
List all team permission.
GET /api/v1/repository/{repository}/permissions/team/
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET \
-H "Authorization: Bearer <access_token>" \
"https://quay-server.example.com/api/v1/repository/<namespace>/<repository>/permissions/team/"
12.9. listRepoUserPermissions 링크 복사링크가 클립보드에 복사되었습니다!
List all user permissions.
GET /api/v1/repository/{repository}/permissions/user/
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
https://<quay-server.example.com>/api/v1/repository/<namespace>/<repository>/permissions/user/<username>/
Chapter 13. policy 링크 복사링크가 클립보드에 복사되었습니다!
13.1. createOrganizationAutoPrunePolicy 링크 복사링크가 클립보드에 복사되었습니다!
Creates an auto-prune policy for the organization
POST /api/v1/organization/{orgname}/autoprunepolicy/
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Request body schema (application/json)
The policy configuration that is to be applied to the user namespace
| Name | Description | Schema |
|---|---|---|
|
method | The method to use for pruning tags (number_of_tags, creation_date) | string |
|
value | The value to use for the pruning method (number of tags e.g. 10, time delta e.g. 7d (7 days)) | |
|
tagPattern | Tags only matching this pattern will be pruned | string |
|
tagPatternMatches | Determine whether pruned tags should or should not match the tagPattern | boolean |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Successful creation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X POST -H "Authorization: Bearer <access_token>" -H "Content-Type: application/json" -d '{"method": "number_of_tags", "value": 10}' http://<quay-server.example.com>/api/v1/organization/<organization_name>/autoprunepolicy/
13.2. listOrganizationAutoPrunePolicies 링크 복사링크가 클립보드에 복사되었습니다!
Lists the auto-prune policies for the organization
GET /api/v1/organization/{orgname}/autoprunepolicy/
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET "https://quay-server.example.com/api/v1/organization/example_org/autoprunepolicy/" \
-H "Authorization: Bearer <your_access_token>"
13.3. getOrganizationAutoPrunePolicy 링크 복사링크가 클립보드에 복사되었습니다!
Fetches the auto-prune policy for the organization
GET /api/v1/organization/{orgname}/autoprunepolicy/{policy_uuid}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
policy_uuid | The unique ID of the policy | string |
| path |
orgname | The name of the organization | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET -H "Authorization: Bearer <access_token>" http://<quay-server.example.com>/api/v1/organization/<organization_name>/autoprunepolicy/<policy_uuid>
13.4. deleteOrganizationAutoPrunePolicy 링크 복사링크가 클립보드에 복사되었습니다!
Deletes the auto-prune policy for the organization
DELETE /api/v1/organization/{orgname}/autoprunepolicy/{policy_uuid}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
policy_uuid | The unique ID of the policy | string |
| path |
orgname | The name of the organization | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Deleted | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X DELETE "https://quay-server.example.com/api/v1/organization/example_org/autoprunepolicy/example_policy_uuid" \
-H "Authorization: Bearer <your_access_token>"
13.5. updateOrganizationAutoPrunePolicy 링크 복사링크가 클립보드에 복사되었습니다!
Updates the auto-prune policy for the organization
PUT /api/v1/organization/{orgname}/autoprunepolicy/{policy_uuid}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
policy_uuid | The unique ID of the policy | string |
| path |
orgname | The name of the organization | string |
Request body schema (application/json)
The policy configuration that is to be applied to the user namespace
| Name | Description | Schema |
|---|---|---|
|
method | The method to use for pruning tags (number_of_tags, creation_date) | string |
|
value | The value to use for the pruning method (number of tags e.g. 10, time delta e.g. 7d (7 days)) | |
|
tagPattern | Tags only matching this pattern will be pruned | string |
|
tagPatternMatches | Determine whether pruned tags should or should not match the tagPattern | boolean |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X PUT -H "Authorization: Bearer <bearer_token>" -H "Content-Type: application/json" -d '{
"method": "creation_date",
"value": "4d",
"tagPattern": "^v*",
"tagPatternMatches": true
}' "<quay-server.example.com>/api/v1/organization/<organization_name>/autoprunepolicy/<uuid>"
13.6. createRepositoryAutoPrunePolicy 링크 복사링크가 클립보드에 복사되었습니다!
Creates an auto-prune policy for the repository
POST /api/v1/repository/{repository}/autoprunepolicy/
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Request body schema (application/json)
The policy configuration that is to be applied to the user namespace
| Name | Description | Schema |
|---|---|---|
|
method | The method to use for pruning tags (number_of_tags, creation_date) | string |
|
value | The value to use for the pruning method (number of tags e.g. 10, time delta e.g. 7d (7 days)) | |
|
tagPattern | Tags only matching this pattern will be pruned | string |
|
tagPatternMatches | Determine whether pruned tags should or should not match the tagPattern | boolean |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Successful creation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X POST -H "Authorization: Bearer <access_token>" -H "Content-Type: application/json" -d '{"method": "number_of_tags","value": 2}' http://<quay-server.example.com>/api/v1/repository/<organization_name>/<repository_name>/autoprunepolicy/
13.7. listRepositoryAutoPrunePolicies 링크 복사링크가 클립보드에 복사되었습니다!
Lists the auto-prune policies for the repository
GET /api/v1/repository/{repository}/autoprunepolicy/
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET "https://quay-server.example.com/api/v1/repository/example_namespace/example_repo/autoprunepolicy/" \
-H "Authorization: Bearer <your_access_token>"
13.8. getRepositoryAutoPrunePolicy 링크 복사링크가 클립보드에 복사되었습니다!
Fetches the auto-prune policy for the repository
GET /api/v1/repository/{repository}/autoprunepolicy/{policy_uuid}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
policy_uuid | The unique ID of the policy | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET "https://quay-server.example.com/api/v1/repository/example_namespace/example_repo/autoprunepolicy/123e4567-e89b-12d3-a456-426614174000" \
-H "Authorization: Bearer <your_access_token>"
13.9. deleteRepositoryAutoPrunePolicy 링크 복사링크가 클립보드에 복사되었습니다!
Deletes the auto-prune policy for the repository
DELETE /api/v1/repository/{repository}/autoprunepolicy/{policy_uuid}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
policy_uuid | The unique ID of the policy | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Deleted | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X DELETE "https://quay-server.example.com/api/v1/repository/example_namespace/example_repo/autoprunepolicy/123e4567-e89b-12d3-a456-426614174000" \
-H "Authorization: Bearer <your_access_token>"
13.10. updateRepositoryAutoPrunePolicy 링크 복사링크가 클립보드에 복사되었습니다!
Updates the auto-prune policy for the repository
PUT /api/v1/repository/{repository}/autoprunepolicy/{policy_uuid}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
policy_uuid | The unique ID of the policy | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Request body schema (application/json)
The policy configuration that is to be applied to the user namespace
| Name | Description | Schema |
|---|---|---|
|
method | The method to use for pruning tags (number_of_tags, creation_date) | string |
|
value | The value to use for the pruning method (number of tags e.g. 10, time delta e.g. 7d (7 days)) | |
|
tagPattern | Tags only matching this pattern will be pruned | string |
|
tagPatternMatches | Determine whether pruned tags should or should not match the tagPattern | boolean |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X PUT \
-H "Authorization: Bearer <bearer_token>" \
-H "Content-Type: application/json" \
-d '{
"method": "number_of_tags",
"value": "5",
"tagPattern": "^test.*",
"tagPatternMatches": true
}' \
"https://quay-server.example.com/api/v1/repository/<namespace>/<repo_name>/autoprunepolicy/<uuid>"
13.11. createUserAutoPrunePolicy 링크 복사링크가 클립보드에 복사되었습니다!
Creates the auto-prune policy for the currently logged in user
POST /api/v1/user/autoprunepolicy/
Authorizations: oauth2_implicit (user:admin)
Request body schema (application/json)
The policy configuration that is to be applied to the user namespace
| Name | Description | Schema |
|---|---|---|
|
method | The method to use for pruning tags (number_of_tags, creation_date) | string |
|
value | The value to use for the pruning method (number of tags e.g. 10, time delta e.g. 7d (7 days)) | |
|
tagPattern | Tags only matching this pattern will be pruned | string |
|
tagPatternMatches | Determine whether pruned tags should or should not match the tagPattern | boolean |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Successful creation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X POST "https://quay-server.example.com/api/v1/user/autoprunepolicy/" \
-H "Authorization: Bearer <your_access_token>" \
-H "Content-Type: application/json" \
-d '{
"method": "number_of_tags",
"value": 10,
"tagPattern": "v*",
"tagPatternMatches": true
}'
13.12. listUserAutoPrunePolicies 링크 복사링크가 클립보드에 복사되었습니다!
Lists the auto-prune policies for the currently logged in user
GET /api/v1/user/autoprunepolicy/
Authorizations: oauth2_implicit (user:admin)
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET "https://quay-server.example.com/api/v1/user/autoprunepolicy/" \
-H "Authorization: Bearer <your_access_token>"
13.13. getUserAutoPrunePolicy 링크 복사링크가 클립보드에 복사되었습니다!
Fetches the auto-prune policy for the currently logged in user
GET /api/v1/user/autoprunepolicy/{policy_uuid}
Authorizations: oauth2_implicit (user:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
policy_uuid | The unique ID of the policy | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET "https://quay-server.example.com/api/v1/user/autoprunepolicy/{policy_uuid}" \
-H "Authorization: Bearer <your_access_token>"
13.14. deleteUserAutoPrunePolicy 링크 복사링크가 클립보드에 복사되었습니다!
Deletes the auto-prune policy for the currently logged in user
DELETE /api/v1/user/autoprunepolicy/{policy_uuid}
Authorizations: oauth2_implicit (user:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
policy_uuid | The unique ID of the policy | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Deleted | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X DELETE "https://quay-server.example.com/api/v1/user/autoprunepolicy/<policy_uuid>" \
-H "Authorization: Bearer <your_access_token>"
13.15. updateUserAutoPrunePolicy 링크 복사링크가 클립보드에 복사되었습니다!
Updates the auto-prune policy for the currently logged in user
PUT /api/v1/user/autoprunepolicy/{policy_uuid}
Authorizations: oauth2_implicit (user:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
policy_uuid | The unique ID of the policy | string |
Request body schema (application/json)
The policy configuration that is to be applied to the user namespace
| Name | Description | Schema |
|---|---|---|
|
method | The method to use for pruning tags (number_of_tags, creation_date) | string |
|
value | The value to use for the pruning method (number of tags e.g. 10, time delta e.g. 7d (7 days)) | |
|
tagPattern | Tags only matching this pattern will be pruned | string |
|
tagPatternMatches | Determine whether pruned tags should or should not match the tagPattern | boolean |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X PUT "https://quay-server.example.com/api/v1/user/autoprunepolicy/<policy_uuid>" \
-H "Authorization: Bearer <your_access_token>" \
-H "Content-Type: application/json" \
-d '{
"method": "number_of_tags",
"value": "10",
"tagPattern": ".*-old",
"tagPatternMatches": true
}'
Chapter 14. prototype 링크 복사링크가 클립보드에 복사되었습니다!
Manage default permissions added to repositories.
14.1. updateOrganizationPrototypePermission 링크 복사링크가 클립보드에 복사되었습니다!
Update the role of an existing permission prototype.
PUT /api/v1/organization/{orgname}/prototypes/{prototypeid}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
prototypeid | The ID of the prototype | string |
| path |
orgname | The name of the organization | string |
Request body schema (application/json)
Description of a the new prototype role
| Name | Description | Schema |
|---|---|---|
|
role | Role that should be applied to the permission | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X PUT \
-H "Authorization: Bearer <bearer_token>" \
-H "Content-Type: application/json" \
--data '{
"role": "write"
}' \
https://<quay-server.example.com>/api/v1/organization/<organization_name>/prototypes/<prototypeid>
14.2. deleteOrganizationPrototypePermission 링크 복사링크가 클립보드에 복사되었습니다!
Delete an existing permission prototype.
DELETE /api/v1/organization/{orgname}/prototypes/{prototypeid}
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
prototypeid | The ID of the prototype | string |
| path |
orgname | The name of the organization | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Deleted | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
curl -X DELETE \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
https://<quay-server.example.com>/api/v1/organization/<organization_name>/prototypes/<prototype_id>
14.3. createOrganizationPrototypePermission 링크 복사링크가 클립보드에 복사되었습니다!
Create a new permission prototype.
POST /api/v1/organization/{orgname}/prototypes
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Request body schema (application/json)
Description of a new prototype
| Name | Description | Schema |
|---|---|---|
|
role | Role that should be applied to the delegate | string |
|
activating_user | Repository creating user to whom the rule should apply | object |
|
delegate | Information about the user or team to which the rule grants access | object |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Successful creation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X POST -H "Authorization: Bearer <bearer_token>" -H "Content-Type: application/json" --data '{
"role": "<admin_read_or_write>",
"delegate": {
"name": "<username>",
"kind": "user"
},
"activating_user": {
"name": "<robot_name>"
}
}' https://<quay-server.example.com>/api/v1/organization/<organization_name>/prototypes
14.4. getOrganizationPrototypePermissions 링크 복사링크가 클립보드에 복사되었습니다!
List the existing prototypes for this organization.
GET /api/v1/organization/{orgname}/prototypes
Authorizations: oauth2_implicit (org:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
orgname | The name of the organization | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
https://<quay-server.example.com>/api/v1/organization/<organization_name>/prototypes
Chapter 15. referrers 링크 복사링크가 클립보드에 복사되었습니다!
List v2 API referrers
15.1. getReferrers 링크 복사링크가 클립보드에 복사되었습니다!
List v2 API referrers of an image digest.
GET /v2/{organization_name}/{repository_name}/referrers/{digest}
Request body schema (application/json)
Referrers of an image digest.
| Type | Name | Description | Schema |
| path |
orgname | The name of the organization | string |
| path |
repository | The full path of the repository. e.g. namespace/name | string |
| path |
referrers | Looks up the OCI referrers of a manifest under a repository. | string |
Chapter 16. repository 링크 복사링크가 클립보드에 복사되었습니다!
List, create and manage repositories.
16.1. createRepo 링크 복사링크가 클립보드에 복사되었습니다!
Create a new repository.
POST /api/v1/repository
Authorizations: oauth2_implicit (repo:create)
Request body schema (application/json)
Description of a new repository
| Name | Description | Schema |
|---|---|---|
|
repository | Repository name | string |
|
visibility | Visibility which the repository will start with | string |
|
namespace | Namespace in which the repository should be created. If omitted, the username of the caller is used | string |
|
description | Markdown encoded description for the repository | string |
|
repo_kind | The kind of repository |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Successful creation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X POST \
-H "Authorization: Bearer <bearer_token>" \
-H "Content-Type: application/json" \
-d '{
"repository": "<new_repository_name>",
"visibility": "<public>",
"description": "<This is a description of the new repository>."
}' \
"https://quay-server.example.com/api/v1/repository"
16.2. listRepos 링크 복사링크가 클립보드에 복사되었습니다!
Fetch the list of repositories visible to the current user under a variety of situations.
GET /api/v1/repository
Authorizations: oauth2_implicit (repo:read)
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
next_page | The page token for the next page | string |
| query |
repo_kind | The kind of repositories to return | string |
| query |
popularity | Whether to include the repository’s popularity metric. | boolean |
| query |
last_modified | Whether to include when the repository was last modified. | boolean |
| query |
public | Adds any repositories visible to the user by virtue of being public | boolean |
| query |
starred | Filters the repositories returned to those starred by the user | boolean |
| query |
namespace | Filters the repositories returned to this namespace | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET \
-H "Authorization: Bearer <ACCESS_TOKEN>" \
"https://quay-server.example.com/api/v1/repository?public=true&starred=false&namespace=<NAMESPACE>"
16.3. changeRepoVisibility 링크 복사링크가 클립보드에 복사되었습니다!
Change the visibility of a repository.
POST /api/v1/repository/{repository}/changevisibility
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Request body schema (application/json)
Change the visibility for the repository.
| Name | Description | Schema |
|---|---|---|
|
visibility | Visibility which the repository will start with | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Successful creation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example Command
$ curl -X POST \
-H "Authorization: Bearer <ACCESS_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"visibility": "private"
}' \
"https://quay-server.example.com/api/v1/repository/<NAMESPACE>/<REPO_NAME>/changevisibility"
16.4. changeRepoState 링크 복사링크가 클립보드에 복사되었습니다!
Change the state of a repository.
PUT /api/v1/repository/{repository}/changestate
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Request body schema (application/json)
Change the state of the repository.
| Name | Description | Schema |
|---|---|---|
|
state | Determines whether pushes are allowed. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
16.5. getRepo 링크 복사링크가 클립보드에 복사되었습니다!
Fetch the specified repository.
GET /api/v1/repository/{repository}
Authorizations: oauth2_implicit (repo:read)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
includeTags | Whether to include repository tags | boolean |
| query |
includeStats | Whether to include action statistics | boolean |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET -H "Authorization: Bearer <bearer_token>" "<quay-server.example.com>/api/v1/repository/<namespace>/<repository_name>"
16.6. updateRepo 링크 복사링크가 클립보드에 복사되었습니다!
Update the description in the specified repository.
PUT /api/v1/repository/{repository}
Authorizations: oauth2_implicit (repo:write)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Request body schema (application/json)
Fields which can be updated in a repository.
| Name | Description | Schema |
|---|---|---|
|
description | Markdown encoded description for the repository | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X PUT \
-H "Authorization: Bearer <bearer_token>" \
-H "Content-Type: application/json" \
-d '{
"description": "This is an updated description for the repository."
}' \
"https://quay-server.example.com/api/v1/repository/<NAMESPACE>/<REPOSITORY>"
16.7. deleteRepository 링크 복사링크가 클립보드에 복사되었습니다!
Delete a repository.
DELETE /api/v1/repository/{repository}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Deleted | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X DELETE -H "Authorization: Bearer <bearer_token>" "<quay-server.example.com>/api/v1/repository/<namespace>/<repository_name>"
Chapter 17. repositorynotification 링크 복사링크가 클립보드에 복사되었습니다!
List, create and manage repository events/notifications.
17.1. testRepoNotification 링크 복사링크가 클립보드에 복사되었습니다!
Queues a test notification for this repository.
POST /api/v1/repository/{repository}/notification/{uuid}/test
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
| path |
uuid | The UUID of the notification | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Successful creation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X POST \
-H "Authorization: Bearer <bearer_token>" \
https://<quay-server.example.com>/api/v1/repository/<repository>/notification/<uuid>/test
17.2. getRepoNotification 링크 복사링크가 클립보드에 복사되었습니다!
Get information for the specified notification.
GET /api/v1/repository/{repository}/notification/{uuid}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
| path |
uuid | The UUID of the notification | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X POST \
-H "Authorization: Bearer <bearer_token>" \
https://<quay-server.example.com>/api/v1/repository/<repository>/notification/<uuid>
17.3. deleteRepoNotification 링크 복사링크가 클립보드에 복사되었습니다!
Deletes the specified notification.
DELETE /api/v1/repository/{repository}/notification/{uuid}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
| path |
uuid | The UUID of the notification | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Deleted | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X DELETE \
-H "Authorization: Bearer <bearer_token>" \
https://<quay-server.example.com>/api/v1/repository/<namespace>/<repository_name>/notification/<uuid>
17.4. resetRepositoryNotificationFailures 링크 복사링크가 클립보드에 복사되었습니다!
Resets repository notification to 0 failures.
POST /api/v1/repository/{repository}/notification/{uuid}
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
| path |
uuid | The UUID of the notification | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | Successful creation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X POST \
-H "Authorization: Bearer <bearer_token>" \
https://<quay-server.example.com>/api/v1/repository/<repository>/notification/<uuid>
17.5. createRepoNotification 링크 복사링크가 클립보드에 복사되었습니다!
POST /api/v1/repository/{repository}/notification/
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Request body schema (application/json)
Information for creating a notification on a repository
| Name | Description | Schema |
|---|---|---|
|
event | The event on which the notification will respond | string |
|
method | The method of notification (such as email or web callback) | string |
|
config | JSON config information for the specific method of notification | object |
|
eventConfig | JSON config information for the specific event of notification | object |
|
title | The human-readable title of the notification | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Successful creation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X POST \
-H "Authorization: Bearer <bearer_token>" \
-H "Content-Type: application/json" \
--data '{
"event": "<event>",
"method": "<method>",
"config": {
"<config_key>": "<config_value>"
},
"eventConfig": {
"<eventConfig_key>": "<eventConfig_value>"
}
}' \
https://<quay-server.example.com>/api/v1/repository/<namespace>/<repository_name>/notification/
17.6. listRepoNotifications 링크 복사링크가 클립보드에 복사되었습니다!
List the notifications for the specified repository.
GET /api/v1/repository/{repository}/notification/
Authorizations: oauth2_implicit (repo:admin)
Path parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| path |
repository | The full path of the repository. e.g. namespace/name | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
$ curl -X GET -H "Authorization: Bearer <bearer_token>" -H "Accept: application/json" https://<quay-server.example.com>/api/v1/repository/<namespace>/<repository_name>/notification
Chapter 18. robot 링크 복사링크가 클립보드에 복사되었습니다!
Manage user and organization robot accounts.
18.1. getUserRobots 링크 복사링크가 클립보드에 복사되었습니다!
List the available robots for the user.
GET /api/v1/user/robots
Authorizations: oauth2_implicit (user:admin)
Query parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| query |
limit | If specified, the number of robots to return. | integer |
| query |
token | If false, the robot’s token is not returned. | boolean |
| query |
permissions | Whether to include repositories and teams in which the robots have permission. | boolean |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
Example command
[...]
